%define lua_version 5.1

Summary:        Network access library for the Lua programming language
Name:           lua-socket
Version:        2.0.2
Release:        %mkrel 7
License:        MIT
Group:          Development/Other
URL:            http://www.tecgraf.puc-rio.br/~diego/professional/luasocket/
Source0:        luasocket-%{version}.tar.gz
Patch0:         luasocket-2.0.2-cflags.patch
BuildRequires:  lua5.1-devel
Requires:       lua

%description
LuaSocket is a Lua extension library that is composed by two parts: a
C layer that provides support for the TCP and UDP transport layers,
and a set of Lua modules that add support for the SMTP (sending
e-mails), HTTP (WWW access) and FTP (uploading and downloading files)
protocols.

%prep
%setup -q -n luasocket-%{version}
%patch0 -p1 -b .cflags

%build
export CFLAGS="%{optflags} -fPIC"
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std INSTALL_TOP_SHARE=%{buildroot}/%{_datadir}/lua/%{lua_version} INSTALL_TOP_LIB=%{buildroot}/%{_libdir}/lua/%{lua_version}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEW README doc/*
%{_libdir}/lua/%{lua_version}/mime/*.so
%{_libdir}/lua/%{lua_version}/socket/*.so
%{_datadir}/lua/5.1/*.lua
%{_datadir}/lua/5.1/socket/*.lua




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-7.mga3
+ Revision: 359071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 2.0.2-6.mga3
+ Revision: 334419
- Force Lua 5.1

* Sun Mar 13 2011 shikamaru <shikamaru> 2.0.2-5.mga1
+ Revision: 70270
- imported package lua-socket

